#!/bin/sh

#  addInfoPrintProC900AFPPrinter.sh
#
#  Licensed Materials - Property of InfoPrint Solutions Company.
#  Restricted Materials of InfoPrint Solutions Company.
#  Copyright InfoPrint Solutions Company 2010.  All rights reserved.



langFile="enu"
langType=`locale | grep LC_CTYPE`

if [ -z $langType ]; then
langFile="enu"
else
tmpLang=${langType:9:2}

idx=`expr index "$langType" '"'`

if [ $idx -eq 10 ]; then
tmpLang=${langType:10:2}
fi
case $tmpLang in
"en")
langFile="enu"
;;
"pt")
langFile="ptb"
;;
"fr")
langFile="fra"
;;
"de")
langFile="deu"
;;
"it")
langFile="ita"
;;
"ru")
langFile="rus"
;;
"es")
langFile="esp"
;;
esac
fi




backcurrDir=`pwd`
currDir=/opt/InfoPrint/ProC900AFP
installDir=$currDir/$langFile
errorFile=$installDir"/errorMsg"

#check if exist the first parameter - language

if [ $# -lt 1 ];then
	$currDir/printError $errorFile 2
	cd $backcurrDir
	exit 2 
fi

#the first parameter exist, so check for the validity
language=$1
case $language in
	"enu"|"ptb"|"fra"|"deu"|"ita"|"rus"|"esp")
		installDir=$currDir/$language
		errorFile=$installDir"/errorMsg";;
	*)
		$currDir/printError $errorFile 3
		cd $backcurrDir
		exit 3;;
esac

#check for the numbers of the parameters 
if [ $# -ne 3 ];then
	$currDir/printError $errorFile 2
	cd $backcurrDir
	exit 2	
fi

printerName=$2
printerIP=$3



ppdFile=$installDir/IP2709P021.PPD
#for MAC the ppdfile will be /Library/Printers/PPDs/Contents/Resources/IP2709P021_$language.PPD or
#something

#echo "errorFile="$errorFile


cp $currDir/InfoPrintProC900AFPCupsFilter /usr/lib/cups/filter/
if [ $? -ne 0 ]; then
	exit 1 
fi
chmod +x /usr/lib/cups/filter/InfoPrintProC900AFPCupsFilter
 
lpadmin -p $printerName -E -P $ppdFile -o printer-is-shared=false -v socket://$printerIP
if [ $? -ne 0 ]; then
	exit 1 
fi
chmod 777 /etc/cups/ppd/$printerName.ppd


if [ -d /usr/bin/InfoPrint/ ]
then
	chmod 777 /usr/bin/InfoPrint
else
	mkdir /usr/bin/InfoPrint
	chmod 777 /usr/bin/InfoPrint
fi
	

#print success
$currDir/printError $errorFile 0
cd $backcurrDir

