#!/bin/sh

#  removeInfoPrintProC900AFPPrinter.sh
#
#  Licensed Materials - Property of InfoPrint Solutions Company.
#  Restricted Materials of InfoPrint Solutions Company.
#  Copyright InfoPrint Solutions Company 2010.  All rights reserved.

langFile="enu"
langType=`locale | grep LC_CTYPE`

if [ -z $langType ]; then
langFile="enu"
else
tmpLang=${langType:9:2}

idx=`expr index "$langType" '"'`

if [ $idx -eq 10 ]; then
tmpLang=${langType:10:2}
fi
case $tmpLang in
"en")
langFile="enu"
;;
"pt")
langFile="ptb"
;;
"fr")
langFile="fra"
;;
"de")
langFile="deu"
;;
"it")
langFile="ita"
;;
"ru")
langFile="rus"
;;
"es")
langFile="esp"
;;
esac
fi




backcurrDir=`pwd`

currDir=/opt/InfoPrint/ProC900AFP
installDir=$currDir/$langFile
errorFile=$installDir"/errorMsg"


if [ $# -ne 1 ];then
	
	$currDir/printError $errorFile 6
	cd $backcurrDir
	exit 6
fi

printerName=$1

lpadmin -x $printerName
if [ $? -ne 0 ]; then
	exit 5 
fi
#remove media catalog
rm -f /usr/bin/InfoPrint/$printerName
grep -q -s InfoPrintProC900AFPCupsFilter /etc/cups/ppd/*
if [ $? -ne 0 ]; then
#no more printer installed on system
	rm -rf /usr/bin/InfoPrint/
	rm -f /usr/lib/cups/filter/InfoPrintProC900AFPCupsFilter
fi
exit 4
